/* ░░░▒▒▓▓██▣ RES INTERFACE ▣██▓▓▒▒░░░ ══ [ 2026-04-10 ] ══ [appliedEnergisticsTrades.js] ═════════
    ┳┳┓┏┓┓┏┓┏┳┏┓┓ ┏ ╭╭────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────╮╮
    ┃┃┃┣┫┗┫┃┃┃┣ ┃┃┃ || server_scripts | trades | AE2 Villager Trade Modification 
    ┛ ┗┛┗┗┛┗┛┻┗┛┗┻┛ ╰╰────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────●▬▬▬▬๑۩۩๑▬▬▬▬▬●────────╯╯
*/ console.info("[RES:CORE] Initializing appliedEnergisticsTrades.js");
MoreJS.villagerTrades((event) => {
  const fluix = "ae2:fluix_researcher";

  event.removeVanillaTypedTrades([fluix], 1);
  event.removeModdedTypedTrades([fluix], 1);

  event.addTrade(
    fluix,
    1,
    { id: "mayview:gold_coin", count: 3 },
    { id: "ae2:certus_quartz_crystal", count: 4 }
  );
  event.addTrade(
    fluix,
    1,
    { id: "mayview:gold_coin", count: 3 },
    { id: "ae2:certus_quartz_crystal", count: 4 }
  );
});
